package cn.bsystem.ptmenu.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class MenuNode implements Serializable{
	private static final long serialVersionUID = 1L;
	private String menuId;
	private String menuName;
	private String display;
	private String iconCls;
	private String rightName;
	private String url;
	private String parentId;
	private String state;
	
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}

	public List<MenuNode> list = new ArrayList<MenuNode>();
	
	public String getParentId() {
		return parentId;
	}
	public void setParentId(String parentId) {
		this.parentId = parentId;
	}


	public String getMenuId() {
		return menuId;
	}
	public void setMenuId(String menuId) {
		this.menuId = menuId;
	}
	public String getMenuName() {
		return menuName;
	}
	public void setMenuName(String menuName) {
		this.menuName = menuName;
	}
	public String getDisplay() {
		return display;
	}
	public void setDisplay(String display) {
		this.display = display;
	}
	public String getIconCls() {
		return iconCls;
	}
	public void setIconCls(String iconCls) {
		this.iconCls = iconCls;
	}
	public String getRightName() {
		return rightName;
	}
	public void setRightName(String rightName) {
		this.rightName = rightName;
	}
	public void addSubMenuNode(MenuNode menu) {
		list.add(menu);
	}

	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	public void removeSubMenuNode(MenuNode menu) {
		list.remove(menu);
	}

	public List<MenuNode> getSubMenuNodeList() {
		return list;
	}


}
